## ocaml-unix-errno 0.6.2

=== Makefile ===
PROFILE=release

.PHONY: release build install uninstall clean test doc reindent

build:
	dune build @install --profile=$(PROFILE)

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

test:
	dune runtest

# requires odoc
doc:
	dune build @doc

reindent:
	dune build @fmt --auto-promote

## ocaml-unix-errno 0.6.1

=== debian/changelog ===
ocaml-unix-errno (0.6.1-4) unstable; urgency=medium

  * Team upload
  * Fix compilation with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 12:45:11 +0200

ocaml-unix-errno (0.6.1-3) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml-dune (Closes: #1040813)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 10:51:25 +0200

ocaml-unix-errno (0.6.1-2) unstable; urgency=medium

  * Rebuild for source-only upload

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 16 Nov 2022 15:01:53 +0200

ocaml-unix-errno (0.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #956485)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 11 Nov 2022 18:33:34 +0200

=== debian/control ===
Source: ocaml-unix-errno
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (=13),
               dh-ocaml (>= 0.9),
               ocaml-dune,
               ocaml-findlib (>= 1.2.4),
               ocaml (>= 3.11.2),
               libctypes-ocaml-dev,
               libresult-ocaml-dev,
               libalcotest-ocaml-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/xapi-project/ocaml-unix-errno
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-unix-errno.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-unix-errno

Package: libunix-errno-ocaml
Architecture: any
Depends: ${ocaml:Depends},
         ocaml-findlib,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${ocaml:Provides}
Description: errno variant that includes a variety of constructors
 An errno variant similar to Unix.error but including POSIX
 2008, Linux, OS X, and FreeBSD constructors. A macro
 definition type is also provided in order to transport a
 specific errno-integer map as is the case with FUSE or
 9p2000.u. The types and their functions reside in Errno and
 are independent of any Unix bindings. This makes the
 library's types usable from MirageOS on top of Xen.
 .
 Runtime files are used when running applications using this
 package.

Package: libunix-errno-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends},
         ocaml-findlib,
         libunix-errno-ocaml (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${ocaml:Provides}
Description: errno variant that includes a variety of constructors -- development files
 An errno variant similar to Unix.error but including POSIX
 2008, Linux, OS X, and FreeBSD constructors. A macro
 definition type is also provided in order to transport a
 specific errno-integer map as is the case with FUSE or
 9p2000.u. The types and their functions reside in Errno and
 are independent of any Unix bindings. This makes the
 library's types usable from MirageOS on top of Xen.
 .
 The development files are required for development of OCaml
 modules using this package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)

## ocaml-unix-errno 0.6.2

=== debian/changelog ===
ocaml-unix-errno (0.6.2-1build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:02:24 +0100

ocaml-unix-errno (0.6.2-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:19:59 +0200

ocaml-unix-errno (0.6.2-1build7) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:04:48 +0100

ocaml-unix-errno (0.6.2-1build6) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 17:04:42 +0200

ocaml-unix-errno (0.6.2-1build5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:47:09 +0200

ocaml-unix-errno (0.6.2-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jun 2024 08:15:01 +0200

ocaml-unix-errno (0.6.2-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:18:19 +0100

ocaml-unix-errno (0.6.2-1build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:14:07 +0200

ocaml-unix-errno (0.6.2-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2023 08:21:30 +0200

ocaml-unix-errno (0.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 08:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (=13),
-               dh-ocaml (>= 0.9),
+               dh-ocaml (>= 1.2),
                ocaml-dune,
                ocaml-findlib (>= 1.2.4),
                ocaml (>= 3.11.2),
                libctypes-ocaml-dev,
                libresult-ocaml-dev,
                libalcotest-ocaml-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/xapi-project/ocaml-unix-errno
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-unix-errno.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-unix-errno
